VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::privilege::PrivilegeInfo Class Reference

The `PrivilegeInfo` class contains the privilege information for a parameter element in an operation element. More...

List of all members.

## Public Member Functions
| PrivilegeInfo ()
| Creates a default new instance.
string | GetPropertyPath ()
| The `propertyPath` points to an entity that is used in the operation element.
void | SetPropertyPath (string propertyPath)
| The `propertyPath` points to an entity that is used in the operation element.
global::System.Collections.Generic.List < string > | GetPrivileges ()
| List of privileges assigned to the entity that is being referred by PrivilegeInfo.propertyPath .
void | SetPrivileges (global::System.Collections.Generic.List< string > privileges)
| List of privileges assigned to the entity that is being referred by PrivilegeInfo.propertyPath .
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `PrivilegeInfo` class contains the privilege information for a parameter element in an operation element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::privilege::PrivilegeInfo::PrivilegeInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::privilege::PrivilegeInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::privilege::PrivilegeInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::privilege::PrivilegeInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::privilege::PrivilegeInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::privilege::PrivilegeInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::privilege::PrivilegeInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::privilege::PrivilegeInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::PrivilegeInfo::GetPrivileges | ( |  | ) | `[inline]`

List of privileges assigned to the entity that is being referred by PrivilegeInfo.propertyPath .

string vmware::vapi::metadata::privilege::PrivilegeInfo::GetPropertyPath | ( |  | ) | `[inline]`

The `propertyPath` points to an entity that is used in the operation element.

An entity can either be present in one of the parameter elements or if a parameter is a structure element, it could also be present in one of the field elements.

If the privilege is assigned to an entity used in the parameter, `propertyPath` will just contain the name of the parameter field. If the privilege is assigned to an entity in one of the field elements of a parameter element that is a structure element, then `propertyPath` will contain a path to the field element starting from the parameter name.

void vmware::vapi::metadata::privilege::PrivilegeInfo::SetPrivileges | ( | global::System.Collections.Generic.List< string > | privileges | ) | `[inline]`

List of privileges assigned to the entity that is being referred by PrivilegeInfo.propertyPath .

void vmware::vapi::metadata::privilege::PrivilegeInfo::SetPropertyPath | ( | string | propertyPath | ) | `[inline]`

The `propertyPath` points to an entity that is used in the operation element.

An entity can either be present in one of the parameter elements or if a parameter is a structure element, it could also be present in one of the field elements.

If the privilege is assigned to an entity used in the parameter, `propertyPath` will just contain the name of the parameter field. If the privilege is assigned to an entity in one of the field elements of a parameter element that is a structure element, then `propertyPath` will contain a path to the field element starting from the parameter name.

override string vmware::vapi::metadata::privilege::PrivilegeInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- PrivilegeInfo.cs